package com.sf.msg.bean;

package ..deTemp.1734794519232;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.sf.msg.bean.SmsPlanBean;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

@JsonIgnoreProperties(ignoreUnknown = true)
public class SmsProcessBean {
  private ConcurrentHashMap<String, List<SmsPlanBean>> subMap = new ConcurrentHashMap<>();
  
  private Map<Integer, List<String>> userPhones = new HashMap<>();
  
  private Map<String, List<String>> almTypeDevs = new HashMap<>();
  
  private Map<Integer, List<String>> userFeeders = new HashMap<>();
  
  private Map<Integer, List<String>> userStations = new HashMap<>();
  
  public ConcurrentHashMap<String, List<SmsPlanBean>> getSubMap() {
    return this.subMap;
  }
  
  public void setSubMap(ConcurrentHashMap<String, List<SmsPlanBean>> subMap) {
    this.subMap = subMap;
  }
  
  public Map<Integer, List<String>> getUserPhones() {
    return this.userPhones;
  }
  
  public void setUserPhones(Map<Integer, List<String>> userPhones) {
    this.userPhones = userPhones;
  }
  
  public Map<String, List<String>> getAlmTypeDevs() {
    return this.almTypeDevs;
  }
  
  public void setAlmTypeDevs(Map<String, List<String>> almTypeDevs) {
    this.almTypeDevs = almTypeDevs;
  }
  
  public Map<Integer, List<String>> getUserFeeders() {
    return this.userFeeders;
  }
  
  public void setUserFeeders(Map<Integer, List<String>> userFeeders) {
    this.userFeeders = userFeeders;
  }
  
  public Map<Integer, List<String>> getUserStations() {
    return this.userStations;
  }
  
  public void setUserStations(Map<Integer, List<String>> userStations) {
    this.userStations = userStations;
  }
  
  public void clear() {
    this.subMap.clear();
    this.userPhones.clear();
  }
  
  public SmsPlanBean loadOnePlan(String subKey, Integer sendPlan, String templateId, Integer userId) {
    if (this.subMap.containsKey(subKey))
      for (SmsPlanBean o : this.subMap.get(subKey)) {
        if (o.getTemplate_id().equalsIgnoreCase(templateId) && o.getUser_id().equals(userId))
          return o; 
      }  
    SmsPlanBean alm = new SmsPlanBean();
    alm.setSend_plan(sendPlan);
    alm.setTemplate_id(templateId);
    alm.setUser_id(userId);
    if (!this.subMap.containsKey(subKey))
      this.subMap.put(subKey, new ArrayList<>()); 
    ((List<SmsPlanBean>)this.subMap.get(subKey)).add(alm);
    return alm;
  }
}
